=== debian/changelog ===
xtb (6.5.1-3) unstable; urgency=medium

  * Increase test tolerance to pass tests on armhf.

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 Dec 2022 03:53:29 -0500

xtb (6.5.1-2) unstable; urgency=medium

  * Fix reproducible build (Closes: #1024290). Thanks Vagrant Cascadian!
  * Remove generated man/xtb.1.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Nov 2022 01:23:38 -0500

xtb (6.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1020557)

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Sep 2022 09:04:29 -0400
