=== debian/control ===
Source: xtb
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 asciidoc-base,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 gfortran,
 libmctc-lib-dev,
 libopenblas-dev,
 meson,
 pkg-config,
 xsltproc,
Standards-Version: 4.6.1
Homepage: https://github.com/grimme-lab/xtb
Vcs-Browser: https://salsa.debian.org/debichem-team/xtb
Vcs-Git: https://salsa.debian.org/debichem-team/xtb.git

Package: libxtb-dev
Architecture: any
Section: libdevel
Depends:
 libxtb6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the development files.

Package: libxtb6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: shared library for xtb
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
 .
 This package contains the shared library.

Package: xtb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: semiempirical extended tight-binding program package
 xtb program performs semiempirical quantummechanical calculations. The
 underlying effective Hamiltonian is derived from density functional tight
 binding (DFTB). This implementation of the xTB Hamiltonian is currently
 compatible with the zeroth, first and second level parametrisation for
 geometries, frequencies and non-covalent interactions (GFN) as well as with
 the ionisation potential and electron affinity (IPEA) parametrisation of the
 GFN1 Hamiltonian. The generalized born (GB) model with solvent accessable
 surface area (SASA) is also available available in this version. Ground state
 calculations for the simplified Tamm-Danceoff approximation (sTDA) with the
 vTB model are currently not implemented.
