## xtb 6.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Setup the XTB Project
 project(
   "xtb"
-  VERSION "6.5.1"
+  VERSION "6.6.0"
   LANGUAGES "C" "Fortran"
 )
 enable_testing()
@@ -32,6 +32,14 @@
 
 if(NOT TARGET "mctc-lib::mctc-lib")
   find_package("mctc-lib" REQUIRED)
+endif()
+
+if(NOT TARGET "tblite::tblite" AND WITH_TBLITE)
+  find_package("tblite" REQUIRED)
+endif()
+
+if(NOT TARGET "test-drive::test-drive")
+  find_package("test-drive" REQUIRED)
 endif()
 
 # Sources: initialize program sources (prog) and library sources (srcs) empty
@@ -50,7 +58,7 @@
 
 # Object library
 if(NOT EXISTS "${PROJECT_BINARY_DIR}/include")
-  make_directory("${PROJECT_BINARY_DIR}/include")
+  file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/include")
 endif()
 add_library(
   "${PROJECT_NAME}-object"
@@ -67,6 +75,8 @@
   "${PROJECT_NAME}-object"
   PUBLIC
   "mctc-lib::mctc-lib"
+  "$<$<BOOL:${WITH_TBLITE}>:tblite::tblite>"
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
 )
 target_include_directories(
   "${PROJECT_NAME}-object"
@@ -93,8 +103,9 @@
   PUBLIC
   ${BLAS_LIBRARIES}
   ${LAPACK_LIBRARIES}
-  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   "mctc-lib::mctc-lib"
+  "tblite::tblite"
 )
 set_target_properties(
   "lib-${PROJECT_NAME}-static"
@@ -123,8 +134,9 @@
   PUBLIC
   ${BLAS_LIBRARIES}
   ${LAPACK_LIBRARIES}
-  $<$<BOOL:${OpenMP_Fortran_FOUND}>:OpenMP::OpenMP_Fortran>
+  "$<$<BOOL:${WITH_OpenMP}>:OpenMP::OpenMP_Fortran>"
   "mctc-lib::mctc-lib"
+  "tblite::tblite"
 )
 set_target_properties(
   "lib-${PROJECT_NAME}-shared"
