=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,19 @@
 add_subdirectory("api")
 add_subdirectory("coulomb")
 add_subdirectory("disp")
+add_subdirectory("docking")
 add_subdirectory("extern")
 add_subdirectory("freq")
 add_subdirectory("gfnff")
 add_subdirectory("io")
+add_subdirectory("iff")
 add_subdirectory("main")
 add_subdirectory("mctc")
 add_subdirectory("param")
 add_subdirectory("prog")
+add_subdirectory("solv")
+add_subdirectory("tblite")
 add_subdirectory("type")
-add_subdirectory("solv")
 add_subdirectory("xtb")
 
 set(dir "${CMAKE_CURRENT_SOURCE_DIR}")
@@ -65,6 +68,7 @@
   "${dir}/eqrot.f90"
   "${dir}/esp.f"
   "${dir}/expire.f90"
+  "${dir}/features.F90"
   "${dir}/filetools.F90"
   "${dir}/fixparam.f90"
   "${dir}/foden.f90"
