=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,6 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with xtb.  If not, see <https://www.gnu.org/licenses/>.
 
-if(NOT TARGET "test-drive::test-drive")
-  find_package("test-drive" REQUIRED)
-endif()
-
 set(dir "${CMAKE_CURRENT_SOURCE_DIR}")
 
 set(
@@ -28,18 +24,22 @@
   "coulomb"
   "dftd3"
   "dftd4"
+  "docking"
   "eeq"
   "gfn0"
   "gfn1"
   "gfn2"
   "gfnff"
   "hessian"
+  "iff"
   "latticepoint"
   "molecule"
+  "oniom"
   "pbc-tools"
   "peeq"
   "repulsion"
   "symmetry"
+  "tblite"
   "thermo"
   "wsc"
 )
@@ -69,7 +69,7 @@
   Fortran_MODULE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include"
 )
 if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include")
-  make_directory("${CMAKE_CURRENT_BINARY_DIR}/include")
+  file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include")
 endif()
 
 foreach(t IN LISTS tests)
