=== debian/changelog ===
xtb (6.6.0-2) unstable; urgency=medium

  * Simplify and cleanup debian/rules.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Thu, 29 Jun 2023 06:45:48 -0400

xtb (6.6.0-1) experimental; urgency=medium

  * New upstream version 6.6.0
  * Refresh skip-test-drive-tests.patch.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Mar 2023 02:59:52 -0400
