## xtb 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Setup the XTB Project
 project(
   "xtb"
-  VERSION "6.6.0"
+  VERSION "6.6.1"
   LANGUAGES "C" "Fortran"
 )
 enable_testing()
