=== src/CMakeLists.txt ===
--- 
+++ 
@@ -149,6 +149,7 @@
   "${dir}/thermo.f90"
   "${dir}/timing.f90"
   "${dir}/topology.f90"
+  "${dir}/vertical.f90"
   "${dir}/wrbas.f90"
   "${dir}/wrgbw.f90"
   "${dir}/wrmodef.f90"
