=== debian/changelog ===
xtb (6.6.1-1) unstable; urgency=medium

  * New upstream version 6.6.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Aug 2023 10:55:56 -0400
