=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  meson,
  pkg-config,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/grimme-lab/xtb
 Vcs-Browser: https://salsa.debian.org/debichem-team/xtb
 Vcs-Git: https://salsa.debian.org/debichem-team/xtb.git
